import React from 'react';
interface ILabelProps {
    code: string;
    fullList: Map<string, string>;
    short?: boolean;
}
export declare class Label extends React.PureComponent<ILabelProps> {
    render(): string | null;
}
interface IListProps {
    codes: string[];
    truncate: number;
    fullList: Map<string, string>;
}
declare class List extends React.Component<IListProps> {
    render(): any;
}
declare class EnumValue extends React.Component {
    static Label: typeof Label;
    static List: typeof List;
}
export default EnumValue;
